Subject: [bug#57297] [PATCH 0/7] Update vulkan packages and add vulkan-validationlayers

From: Kaelyn <[email-masked]>
Date: Fri, 16 Sep 2022 14:26:09 +0000

------- Original Message -------
On Friday, September 16th, 2022 at 6:34 AM, Ricardo Wurmus <[email-masked]> wrote:

> I had rebased this on top of the “staging” branch. It seems that these
> changes break a lot of downstream packages, such as weston, which builds
> fine on staging, but fails on update-vulkan-headers-staging.
> 
> You can see all new failures here:
> https://ci.guix.gnu.org/jobset/update-vulkan-headers
> 
> Here is the failing build of weston:
> https://ci.guix.gnu.org/build/1444003/details
> 
> (I just restarted it to see if it’s a transient problem.)
> 
> Could you please take a look?
> 
> --
> Ricardo

Thank you for rebasing the patches, and for letting me know of the failures. I'm starting to investigate now, and have already reproduced the weston failure locally. At first glance the weston failure at least might be an (unfortunate) incompatibility with the old version of weston--weston 9.0.0 was released just over two years ago, and over a year before the vulkan versions on the branch.

Cheers,
Kaelyn